Skip to content

Get member groups

GET
/accounts/{accountUuid}/members/v2/member-groups

Get the member groups

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1

Responses

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"name": "string",
  
  
  
"color": "string"
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
  
"pagination": {
  
  
  
"currentPage": 0,
  
  
  
"firstPageUrl": "string",
  
  
  
"from": 1,
  
  
  
"lastPage": 0,
  
  
  
"lastPageUrl": "string",
  
  
  
"nextPageUrl": "string",
  
  
  
"perPage": 50,
  
  
  
"previousPageUrl": "string",
  
  
  
"to": 50,
  
  
  
"totalItems": 0
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


Create member group

POST
/accounts/{accountUuid}/members/v2/member-groups

Create a new member group

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"name": "string",
  
"color": "string"
}

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"color": "string"
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples


Get member group

GET
/accounts/{accountUuid}/members/v2/member-groups/{memberGroupUuid}

Get a member group

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
memberGroupUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"color": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


Delete member group

DELETE
/accounts/{accountUuid}/members/v2/member-groups/{memberGroupUuid}

Delete a member group

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
memberGroupUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

Playground

Authorization
Variables
Key
Value

Samples


Update member group

PATCH
/accounts/{accountUuid}/members/v2/member-groups/{memberGroupUuid}

Update a member group

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
memberGroupUuid*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"name": "string",
  
"color": "string"
}

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"color": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples